# -*- coding: UTF-8 -*-

# Author: Fabian Steiner, <info@fabis-site.net>

import sys

class Output(object):
    def __init__(self, debug=False, use_colour=True):
        self.debug = debug
        self.use_colour = use_colour
    
    def countdown(self, seconds):
        import time
        print '>>> Waiting %s seconds before accepting input ...' % seconds,
        for sec in reversed(range(seconds)):
                sys.stdout.write(' ' + str(sec + 1))
                sys.stdout.flush()
                time.sleep(1)
        print
    
    def dbg(self, msg):
        if self.debug:
            if self.use_colour:
                print '\x1b[32;01m[DEBUG]\x1b[39;49;00m ' + msg
            else:
                print '[DEBUG] ' + msg
    
    def err(self, msg):     
        if self.use_colour:
            print >> sys.stderr, '\x1b[31;01m[ERROR]\x1b[39;49;00m ' + msg
        else:
            print '[Error] ' + msg
